Subject: FTPCONVERSIONS HELP NEEDED [1075]

From: "Kerr, James A." <[email-masked]>
Date: Tue, 10 Jan 1995 07:21:00 -0500 (EST)

Thanks to those who have responded to me.  I am able to do a get dirname.tar 

now however I can't get anything compressed.  Here is my ftp conversions
file.

:.Z: : :/bin/compress -d -c %s:T_REG|T_ASCII:O_UNCOMPRESS:UNCOMPRESS
 :-z: : :/bin/compress -d -c %s:T_REG|T_ASCII:O_UNCOMPRESS:UNCOMPRESS
 :   : :.Z:/bin/compress -c %s:T_REG|O_COMPRESS:COMPRESS
 : : :.tar:/bin/tar cf - %s:T_REG|T_DIR:O_TAR:TAR
 : : :.tar.Z:/bin/pipe /bin/tar cf - %s | /bin/compress
 -c:T_REG:T_DIR:O_COMPRESS|O_TAR:TAR+COMPRESS
 :.gz: :  :/bin/gzip -cd %s:T_REG|T_ASCII:O_UNCOMPRESS:GUNZIP
 :   : :.gz:/bin/gzip -9c %s:T_REG:O_COMPRESS:GZIP
 :   : :.tar:/bin/tar -cf - %s:T_REG|T_DIR:O_TAR:TAR
 :   : :.tar.Z:/bin/tar -c -Z -f
%s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+COMPRESS
 :   : :.tar.gz:/bin/tar -c -z -f - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+GZIP

Here is a copy of my ftpaccess file

loginfails 2

class   local   real,guest,anonymous *.domain 0.0.0.0
class   remote  real,guest,anonymous *

limit   local    1   Any                 /etc/msgs/msg.toomany
limit   remote  100  SaSu|Any1800-0600   /etc/msgs/msg.toomany
limit   remote  100  Any                 /etc/msgs/msg.toomany

readme  README*    login
readme  README*    cwd=*

message /welcome.msg            login
message .message                cwd=*

compress        yes             local remote
tar             yes             local remote
gzip            yes             local remote

# allow use of private file for SITE GROUP and SITE GPASS?
private         yes

# passwd-check  <none|trivial|rfc822>  [<enforce|warn>]
passwd-check    rfc822  enforce

log commands real
log transfers anonymous,real inbound,outbound
shutdown /etc/shutmsg

# all the following default to "yes" for everybody
delete          no      guest,anonymous         # delete permission?
overwrite       no      guest,anonymous         # overwrite permission?
rename         no   guest,anonymous          # rename permission?
chmod           no      anonymous               # chmod permission?
umask           no      anonymous               # umask permission?

# specify the upload directory information
upload  /home/ftp  *             no
upload  /home/ftp  /incoming     yes     root    daemon  0600 dirs
upload  /home/ftp  /bin          no
upload  /home/ftp  /etc          no

# directory aliases...  [note, the ":" is not required]
alias   inc:    /incoming

# cdpath
cdpath  /incoming
cdpath  /pub
cdpath  /

# path-filter...
path-filter  anonymous  /etc/pathmsg  ^[-A-Za-z0-9_\.]*$  ^\.  ^-
path-filter  guest      /etc/pathmsg  ^[-A-Za-z0-9_\.]*$  ^\.  ^-

# specify which group of users will be treated as "guests".
guestgroup ftponly

email [email-masked]

Can anyone help me?  I've even looked at the faq by Christopher Klaus and
can't get anywhere.  The only thing I don't have that he refers to in his
faq is a program called "pipe".

HELP!
Jim